StarCharAttribute Namespace Reference

namespace used to contain character attributes More...

## Classes

class | StarCAttributeBool
| a character bool attribute More...
class | StarCAttributeColor
| a character color attribute More...
class | StarCAttributeInt
| a character integer attribute More...
class | StarCAttributeUInt
| a character unsigned integer attribute More...
class | StarCAttributeVoid
| a void attribute More...
class | SubDocument
| Internal: the subdocument of a StarObjectSpreadsheet. More...
class | StarCAttributeEscapement
| a escapement attribute More...
class | StarCAttributeFont
| a font attribute More...
class | StarCAttributeFontSize
| a font size attribute More...
class | StarCAttributeCharFormat
| a charFormat attribute More...
class | StarCAttributeContent
| a content attribute More...
class | StarCAttributeField
| a field attribute More...
class | StarCAttributeFlyCnt
| a txtFlyCnt attribute More...
class | StarCAttributeFootnote
| a footnote attribute More...
class | StarCAttributeHardBlank
| a hardBlank attribute More...
class | StarCAttributeINetFmt
| a INetFmt attribute: ie. a link, ... More...
class | StarCAttributeRefMark
| a refMark attribute More...

## Functions

void | addAttributeBool (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, bool defValue)
| add a bool attribute
void | addAttributeColor (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, STOFFColor const &defValue)
| add a color attribute
void | addAttributeInt (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, int numBytes, int defValue)
| add a int attribute
void | addAttributeUInt (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, int numBytes, unsigned int defValue)
| add a unsigned int attribute
void | addAttributeVoid (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName)
| add a void attribute
void | addInitTo (std::map< int, std::shared_ptr< StarAttribute > > &whichToAttributeMap)
| adds character attribute to the general it to attribute map

## Detailed Description

namespace used to contain character attributes

## Function Documentation

## addAttributeBool()

void StarCharAttribute::addAttributeBool | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | bool | defValue )

inline

add a bool attribute

Referenced by addInitTo().

## addAttributeColor()

void StarCharAttribute::addAttributeColor | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | STOFFColor const & | defValue )

inline

add a color attribute

Referenced by addInitTo().

## addAttributeInt()

void StarCharAttribute::addAttributeInt | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | int | defValue )

inline

add a int attribute

Referenced by addInitTo().

## addAttributeUInt()

void StarCharAttribute::addAttributeUInt | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | unsigned int | defValue )

inline

add a unsigned int attribute

Referenced by addInitTo().

## addAttributeVoid()

void StarCharAttribute::addAttributeVoid | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName )

inline

add a void attribute

Referenced by addInitTo().

## addInitTo()

void StarCharAttribute::addInitTo | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map | ) |

adds character attribute to the general it to attribute map

Referenced by StarAttributeInternal::State::initAttributeMap().